SDL_GetJoystickConnectionState(3)

NAME
SDL_GetJoystickConnectionState - Get the connection state of a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_JoystickConnectionState SDL_GetJoystickConnectionState(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the joystick to query.

RETURN VALUE
Returns the connection state on success or SDL_JOYSTICK_CONNECTION_INVALID on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.